# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# perl_vendorlib/perl_vendorarch not defined by default prior to F-2
%{!?perl_vendorlib: %global perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)}

Name:		perl-Module-Pluggable
Version:	4.0
Release:	1.%{__distinit}%{__distvers}
Summary:	Automatically give your module the ability to have plug-ins
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/Module-Pluggable/
Source0:	http://search.cpan.org/CPAN/authors/id/S/SI/SIMONW/Module-Pluggable-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
BuildRequires:	perl(Carp)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Test::More)
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
Provides a simple but, hopefully, extensible way of having 'plug-ins' for
your module.

%prep
%setup -q -n Module-Pluggable-%{version}

# Upstream distributes all files with exec bits set for reasons unknown
find . -type f -exec chmod -c -x {} \;

%build
perl Makefile.PL INSTALLDIRS=vendor INST_LIB=blib/lib
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;
%{_fixperms} %{buildroot}

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/Devel/
%{perl_vendorlib}/Module/
%{_mandir}/man3/Devel::InnerPackage.3pm*
%{_mandir}/man3/Module::Pluggable.3pm*
%{_mandir}/man3/Module::Pluggable::Object.3pm*

%changelog
* Wed Jan  4 2012 Paul Howarth <paul@city-fan.org> - 4.0-1
- Update to 4.0
- BR: perl(Carp)

* Fri Jul  1 2011 Paul Howarth <paul@city-fan.org> - 3.90-4
- Rebuild for perl 5.14.1 in Rawhide
- Use %%{_fixperms} macro instead of our own %%{__chmod} incantation
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux

* Fri Jun 25 2010 Paul Howarth <paul@city-fan.org> - 3.90-3
- Rebuild for perl 5.12.1 in Rawhide

* Fri Jun  4 2010 Paul Howarth <paul@city-fan.org> - 3.90-2
- Fix dist tag for RHEL-6 Beta

* Tue Nov 24 2009 Paul Howarth <paul@city-fan.org> - 3.90-1
- Import from Fedora
- Update to 3.9

* Sat Dec 29 2007 Ralf Corsepius <rc040203@freenet.de> - 3.60-2
- Adjust License-tag
- Fix perms on sources
- BR: perl(Test::More) (BZ 419631)

* Tue Apr 17 2007 Steven Pritchard <steve@kspei.com> 3.60-1
- Update to 3.6

* Mon Jan 29 2007 Steven Pritchard <steve@kspei.com> 3.50-1
- Update to 3.5

* Sat Dec 09 2006 Steven Pritchard <steve@kspei.com> 3.40-1
- Update to 3.4
- Use fixperms macro instead of our own chmod incantation

* Sat Sep 16 2006 Steven Pritchard <steve@kspei.com> 3.10-2
- Fix find option order

* Mon Jul 17 2006 Steven Pritchard <steve@kspei.com> 3.10-1
- Update to 3.1 (using 3.10 for the package since 3.01 == 3.1 to rpm)
- BR Class::Inspector

* Thu Jun 08 2006 Steven Pritchard <steve@kspei.com> 3.01-1
- Update to 3.01
- Switch to Module::Build-based build

* Thu Mar 23 2006 Steven Pritchard <steve@kspei.com> 2.97-1
- Specfile autogenerated by cpanspec 1.62
- Clean up description a little
